org.eclnt.jsfserver.elements.componentnodes

## Class UI5UX_NAVIGATIONITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5UX_NAVIGATIONITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5UX_NAVIGATIONITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5UX_NAVIGATIONITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5UX_NAVIGATIONITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindKey(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5UX_NAVIGATIONITEMNode` | `setAdapterbinding(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setAttributemacro(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setComment(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setConfiginfo(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setEnabled(boolean value)`
    `UI5UX_NAVIGATIONITEMNode` | `setEnabled(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setId(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setKey(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setReference(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setRendered(boolean value)`
    `UI5UX_NAVIGATIONITEMNode` | `setRendered(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setStylevariant(java.lang.String value)`
    `UI5UX_NAVIGATIONITEMNode` | `setText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5UX_NAVIGATIONITEMNode

          public UI5UX_NAVIGATIONITEMNode()

  - ### Method Detail

    - #### setId

          public UI5UX_NAVIGATIONITEMNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5UX_NAVIGATIONITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5UX_NAVIGATIONITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5UX_NAVIGATIONITEMNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5UX_NAVIGATIONITEMNode setComment(java.lang.String value)

    - #### bindComment

          public UI5UX_NAVIGATIONITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5UX_NAVIGATIONITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5UX_NAVIGATIONITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5UX_NAVIGATIONITEMNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5UX_NAVIGATIONITEMNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5UX_NAVIGATIONITEMNode setEnabled(boolean value)

    - #### setKey

          public UI5UX_NAVIGATIONITEMNode setKey(java.lang.String value)

    - #### bindKey

          public UI5UX_NAVIGATIONITEMNode bindKey(IDynamicContentBindingObject value)

    - #### setReference

          public UI5UX_NAVIGATIONITEMNode setReference(java.lang.String value)

    - #### setRendered

          public UI5UX_NAVIGATIONITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5UX_NAVIGATIONITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5UX_NAVIGATIONITEMNode setRendered(boolean value)

    - #### setStylevariant

          public UI5UX_NAVIGATIONITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5UX_NAVIGATIONITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5UX_NAVIGATIONITEMNode setText(java.lang.String value)

    - #### bindText

          public UI5UX_NAVIGATIONITEMNode bindText(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.